Bug 120910 - Cannot Resize Sequence Diagram Synchronous Messages
Summary: Cannot Resize Sequence Diagram Synchronous Messages
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-28 12:16 UTC by Jon Black
Modified: 2006-10-12 22:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Black 2006-01-28 12:16:16 UTC
Version:           1.5.1 (using KDE KDE 3.5.0)
Installed from:    SuSE RPMs
OS:                Linux

When I create a synchronous message in a sequence diagram, I cannot resize it vertically. This is a problem when the synchronous message operation includes many calls to another object before it returns.

In previous versions I have been able to resize this object vertically by grabbing a red square to the bottom right of the message, when it has been selected.
Comment 1 Achim Spangler 2006-01-29 15:46:38 UTC
Hi,
I sent a patch for this bug some days ago to the uml-devel list (as it's quite small).

So I ask the comitting developers of umbrello to merge my small patch.

The problem was triggered by the change in inheritance structure, where most code of the messagewidget class got so general, that the property "resizeable" had to be false for most cases. Only the case of widgets pointing to one class at both ends were modelled as resizeable - but not the synchronous sequence diagram messages.

So my change simply checks for the synchronous message property in the constructor and loading functions, and sets there the resizeable property to TRUE in those cases.

Bye,
Achim
Comment 2 Oliver Kellogg 2006-01-29 19:04:29 UTC
Thanks Achim, I applied it :)
Comment 3 Jonathan Riddell 2006-03-29 02:21:18 UTC
This doesn't seem to be fixed in Umbrello 1.5.2
Comment 4 Oliver Kellogg 2006-03-29 21:27:27 UTC
It's fixed - but only with a workaround: Before clicking
on the lower right corner, click on empty space in the
sequence diagram.
So I'm reopening this on the grounds that the prioritization
for which object receives the resize event is incorrect in
the presence of multiple selection.
Comment 5 Oliver Kellogg 2006-10-12 22:01:14 UTC
fixed in 1.5.5 (KDE 3.5.5)